> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

The Nordiska Embedded API is organized around REST. Our API has predictable resource-oriented URLs, accepts JSON request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.

You can use the Nordiska Embedded API in our test environment, which doesn't affect your live data or interact with the banking networks. The base URL you use determines whether the request is made to the test or production environment.

## API Endpoints

<Info>
  **Base URLs**

  * Test: `https://card.dev.nordiska.com`
  * Production: `https://card.prod.nordiska.com`
</Info>

### Authentication

All API calls use HTTP Basic Authentication where:

* **Username**: Your assigned API-Key (e.g., `550e8400-e29b-41d4-a716-446655440000`)
* **Password**: Empty (no password required)

<CodeGroup>
  ```http Required Headers theme={null}
  Authorization: Basic <base64(uuid:)>
  Content-Type: application/json
  ```

  ```bash cURL Example theme={null}
  # API-Key: 550e8400-e29b-41d4-a716-446655440000
  # Base64 encode "550e8400-e29b-41d4-a716-446655440000:" (note the colon)
  curl -X POST https://card.dev.nordiska.com/api/engagements/card/onboarding \
    -H "Authorization: Basic NTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDAwOg==" \
    -H "Content-Type: application/json"
  ```
</CodeGroup>
